schema

## Class Bindings

- java.lang.Object
- - schema.Bindings

-      class Bindings
      extends Object

  Contains the Avro schemas and bindings used to perform serialization of the Value in a kv pair. The Avro schemas are stored as resource files, and would normally be part of the application jar file.

  In this example, GenericAvroBinding is used. Other types of bindings are also available. See the `oracle.kv.avro` package and the Oracle NoSQL Database Getting Started Guide for more information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bindings(AvroCatalog avroCatalog)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) Schema` | `getGenderSchema()`
    `(package private) GenericAvroBinding` | `getLoginSessionBinding()`
    `(package private) Schema` | `getLoginSessionSchema()`
    `(package private) GenericAvroBinding` | `getLoginSummaryBinding()`
    `(package private) Schema` | `getLoginSummarySchema()`
    `(package private) GenericAvroBinding` | `getUserImageBinding()`
    `(package private) Schema` | `getUserImageSchema()`
    `(package private) GenericAvroBinding` | `getUserInfoBinding()`
    `(package private) Schema` | `getUserInfoSchema()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Bindings

          Bindings(AvroCatalog avroCatalog)

  - ### Method Detail

    - #### getGenderSchema

          Schema getGenderSchema()

    - #### getUserInfoSchema

          Schema getUserInfoSchema()

    - #### getUserImageSchema

          Schema getUserImageSchema()

    - #### getLoginSessionSchema

          Schema getLoginSessionSchema()

    - #### getLoginSummarySchema

          Schema getLoginSummarySchema()

    - #### getUserInfoBinding

          GenericAvroBinding getUserInfoBinding()

    - #### getUserImageBinding

          GenericAvroBinding getUserImageBinding()

    - #### getLoginSessionBinding

          GenericAvroBinding getLoginSessionBinding()

    - #### getLoginSummaryBinding

          GenericAvroBinding getLoginSummaryBinding()

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.